import glob
import logging
import os
import re

from vela.forger import forge

"""
Emulate a CASA run
"""


class CasaEmulator:
    def __init__(self, metadata: str, ppr: str, product_type: str):
        self.logger = logging.getLogger("vela")
        self.ppr = ppr
        self.metadata = metadata
        self.product_type = product_type

    def run(self):
        self.logger.info("Vela waiting on the Forger....")
        forge(self.metadata, self.product_type)
        self.check_logs()

    def check_logs(self):
        self.logger.info("CHECKING VELA LOGS!")

        if not os.getcwd().endswith("/working"):
            os.chdir("./working")

        vela_logs = glob.glob("vela-*.log")

        for file in vela_logs:
            if re.match("^.*SEVERE\sflagmanager.*$", open(file).read()):
                self.logger.info("VELA ERROR! Please inspect logs.")
            else:
                self.logger.info("VELA Success!")
