#!/usr/bin/env bash

set -o errexit -o nounset

function usage {
    echo "Usage: ingest-request [-c] [workflow_request_id]

    This script sets off a Workspaces ingestion workflow of the specified type,
     given by the chosen option, for the provided workflow request id.

    Options:
    -c, --calibration   run the ingest_cal workflow for the specified request
    -h, --help          display this help and exit
    "
}

option=$(echo "$1" | tr A-Z a-z)
case $option in
  --calibration|-c)
      action="ingest_cal"
  ;;
  --help|-h)
      usage
  ;;
esac

WORKFLOW_SERVICE=$(capo -q edu.nrao.archive.workspaces.WorkflowSettings.serviceUrl)

if [ "$action" = "ingest_cal" ]; then
    curl -X POST $WORKFLOW_SERVICE/workflows/std_calibration/requests/$2/ingest
fi
